#include <stdio.h>
#include "nodes.h"
extern int yyparse();
extern FILE *yyin;
long linenum;
char * filename;
extern Node* ParseTree;
int stack_size=2;
int max_stack_size;
void yynodefailed()
{
	fprintf(stderr,"Node failed !");
}
char * yycurrfilename()
{
	return filename;
}
long yycurrlinenum()
{
	return linenum;
}
int yywrap()
{
	return 1;
}
int main(int argc,char**argv)
{
	FILE *yyout;
	yyin=stdin;
	yyout=stdout;
	while(argc>1)
	{
		argv++;
		argc--;
		yyin=fopen(*argv,"r");
		if(yyin==NULL)continue;
		filename=*argv;
		linenum=0;
    	yyparse();
		if(ParseTree)Node_CodeGen(ParseTree,yyout);
	}
	return 0;
}
