%{
#include <string.h>
#include <math.h>
#include "nodes.h"
#include "grammar.h"
extern long linenum;
extern int stack_size;
extern int max_stack_size;
#define YY_MAIN 0
%}

%%

[0-9][0-9]* {
	yylval.value = atoi(yytext);
	return INTEGER_LITERAL;
	}
\(		{ /* ( */
				stack_size+=2; 
				if(stack_size>max_stack_size)max_stack_size=stack_size;
				return yytext[0]; 
		}
\)		{ /* ) */
				stack_size-=2;
				return yytext[0]; 
		}
[ \t\r]+	/* spaces  - discard */
<*>[\n] 	{linenum++;}	
.      		{return yytext[0];}
